<?php

class Hotspot extends CI_Controller {

public function __construct()
{
        parent::__construct();
        // Imprimir pagina padrao para este controller
        //
        // Pode ser usada para executar determinadas acoes antes de carregar as paginas (imprimir codigo HTML inclusive).

        /* Standard Libraries */
        $this->load->database();
        $this->load->helper('url');
        $this->load->model('HotspotModel');

//
// AUTENTICACAO
//
                $this->load->library('session');
                $this->load->helper('url');
                $this->load->helper('form');
                // IMPORTANT! This global must be defined BEFORE the flexi auth library is loaded!
                // It is used as a global that is accessible via both models and both libraries, without it, flexi auth will not work.
                $this->auth = new stdClass;
                $this->load->library('flexi_auth');
        // Redirect users logged in via password (However, not 'Remember me' users, as they may wish to login properly).
                if (!$this->flexi_auth->is_logged_in_via_password() )
                {
                        // Preserve any flashdata messages so they are passed to the redirect page.
                        if ($this->session->flashdata('message')) { $this->session->keep_flashdata('message'); }
                        // Redirect logged in admins (For security, admin users should always sign in via Password rather than 'Remember me'.
                        if ($this->flexi_auth->is_admin()){ 
			redirect('auth_admin/dashboard'); 
			}
                        else { redirect('auth_public/dashboard'); }
                }
/* ------------------ */    

//
// CRUD
// 
 
        $this->load->library('grocery_CRUD');    
}

public function id_empresa()
{
	 return $this->flexi_auth->get_user_by_id()->row_object()->id_empresa;
}

//
// Manipular imagens 
//

function example_callback_after_upload($uploader_response,$field_info, $files_to_upload)
{
    $this->load->library('image_moo');
 
    //Is only one file uploaded so it ok to use it with $uploader_response[0].
    $file_uploaded = $field_info->upload_path.'/'.$uploader_response[0]->name; 

    // Setando tamanho padrao da Imagem 
    $this->image_moo->load($file_uploaded)->resize(800,600)->save($file_uploaded,true);
 
    return true;
}
 

//
// CRUD VIEW (output) 
//
function _crud_output($output = null)
{
	// Carregando header.php
        $this->load->view('templates/header', $output);
	// Mostrando a CRUD 
	$this->load->view('crud_output.php',$output);    
	// Carregando footer.php
        $this->load->view('templates/footer', $output);
}
//
// Definindo metodos para cada tabela
// 



// TABELA 
//
//
// Carrega o indice para este setor
//
// TABELA sis_cadastro_equipamento
function index()
{
//create table sis_cadastro_equipamento (id_cadastro integer(10) auto_increment, mac varchar(255),codigo_cliente varchar(255), nome_cliente varchar(255), telefone varchar(255), PRIMARY KEY(id_cadastro));

 
    $this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    $this->grocery_crud->where('codigo_cliente','');
    $this->grocery_crud->set_table('sis_cadastro_equipamento')
        ->set_subject('Cadastros');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    // $this->grocery_crud->field_type('id_cadastro', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_cadastro');
    //$this->grocery_crud->set_field_upload('arquivo','assets/uploads/images');

    $output = $this->grocery_crud->render();
    $this->_crud_output($output);

 
}


// TABELA MOSTRA CADASTROS LIBERADOS
//
//
//
// TABELA sis_cadastro_equipamento
function liberados()
{
//create table sis_cadastro_equipamento (id_cadastro integer(10) auto_increment, mac varchar(255),codigo_cliente varchar(255), nome_cliente varchar(255), telefone varchar(255), PRIMARY KEY(id_cadastro));

 
    $this->grocery_crud->set_theme('twitter-bootstrap');
        // Mostrando apenas dados da empresa que o LOGIN faz parte
    $this->grocery_crud->where('codigo_cliente >','0');
    $this->grocery_crud->set_table('sis_cadastro_equipamento')
        ->set_subject('Cadastros');
    // Omitindo a coluna de EMPRESA, porem, mantendo a integridade na hora de postar alteracoes ou cadastros
    // $this->grocery_crud->field_type('id_cadastro', 'hidden', $this->id_empresa());
    $this->grocery_crud->unset_columns('id_cadastro');
    //$this->grocery_crud->set_field_upload('arquivo','assets/uploads/images');

    $output = $this->grocery_crud->render();
    $this->_crud_output($output);

 
}

// Fim CLASSE
}

